Bug 1684948 - Review Request: golang-github-anacrolix-tagflag - Declarative flag parsing for Go using struct tags
Summary: Review Request: golang-github-anacrolix-tagflag - Declarative flag parsing fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1684929 1684933
Blocks: 1684940
TreeView+ depends on / blocked
 
Reported: 2019-03-04 00:16 UTC by Robert-André Mauchin
Modified: 2019-04-13 15:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 00:01:21 UTC
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-03-04 00:16:05 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/rclone1.45/fedora-rawhide-x86_64/00864242-golang-github-anacrolix-tagflag/golang-github-anacrolix-tagflag.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/rclone1.45/fedora-rawhide-x86_64/00864242-golang-github-anacrolix-tagflag/golang-github-anacrolix-tagflag-0-0.1.20190303git3a8ff54.fc30.src.rpm

Description:
Package tagflag uses reflection to derive flags and positional arguments to a 
program, and parses and sets them from a slice of arguments.

Fedora Account System Username: eclipseo

Comment 1 Elliott Sales de Andrade 2019-03-05 04:47:54 UTC
Seems to need a few other things:

DEBUG util.py:554:  BUILDSTDERR: No matching package to install: 'golang(github.com/anacrolix/missinggo)'
DEBUG util.py:554:  BUILDSTDERR: No matching package to install: 'golang(github.com/anacrolix/missinggo/slices)'
DEBUG util.py:554:  BUILDSTDERR: No matching package to install: 'golang(github.com/bradfitz/iter)'
DEBUG util.py:554:  BUILDSTDERR: No matching package to install: 'golang(github.com/huandu/xstrings)'

github.com/anacrolix/missinggo seems to be a dependency loop?

Comment 2 Robert-André Mauchin 2019-03-05 14:19:11 UTC
All are packaged and need review. Missinggo is bootstrapped to avoid the dependency loop.

Comment 3 Jerry James 2019-03-15 03:09:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 17 files have unknown
     license. Detailed output of licensecheck in /home/jamesjer/1684948
     -golang-github-anacrolix-tagflag/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com(golang-googlecode-gogoprotobuf-devel,
     golang-github-peterbourgon-diskv-devel, golang-github-aead-
     chacha20-devel, golang-github-DataDog-datadog-go-devel, golang-github-
     git-lfs-netrc-devel, golang-github-rainycape-memcache-devel, golang-
     github-shurcool-httpfs-devel, golang-github-ncw-swift-devel, golang-
     github-karlseguin-expect-devel, golang-github-coreos-pkg-devel,
     golang-github-nwaples-rardecode-devel, golang-github-akrennmair-
     gopcap-devel, golang-github-marstr-randname-devel, golang-github-
     dvsekhvalnov-jose2go-devel, golang-github-coreos-go-oidc-devel,
     golang-github-prometheus-procfs-devel, golang-github-dustin-go-
     humanize-devel, golang-github-pelletier-go-buffruneio-devel, golang-
     github-thejerf-suture-devel, golang-github-gdamore-encoding-devel,
     golang-github-zyedidia-pty-devel, golang-github-freetype-devel,
     golang-github-gregjones-httpcache-devel, golang-github-SAP-go-hdb-
     devel, golang-github-chzyer-logex-devel, golang-github-bmizerany-
     perks-devel, golang-github-aws-aws-sdk-go-devel, golang-github-
     gorilla-websocket-devel, golang-github-yuin-gopher-lua-devel, golang-
     github-google-martian-devel, golang-github-garyburd-redigo-devel,
     golang-github-pkg-xattr-devel, golang-github-gliderlabs-ssh-devel,
     glide-devel, golang-github-pengsrc-shared-devel, golang-github-petar-
     GoLLRB-devel, golang-github-lucasb-eyer-colorful-devel, golang-github-
     vividcortex-ewma-devel, golang-github-census-instrumentation-
     opencensus-proto-devel, golang-github-smartystreets-goconvey-devel,
     golang-github-hashicorp-memberlist-devel, golang-github-mattn-go-
     runewidth-devel, golang-github-docker-go-devel, golang-github-miekg-
     pkcs11-devel, golang-github-fatih-color-devel, golang-github-
     mitchellh-reflectwalk-devel, golang-github-go-ldap-ldap-devel, golang-
     github-skratchdot-open-golang-devel, golang-github-bradfitz-
     gomemcache-devel, golang-github-shurcool-issues-devel, golang-github-
     wellington-libsass-devel, golang-github-cheggaaa-pb-devel, golang-
     github-mdlayher-wifi-devel, golang-github-nwidger-jsoncolor-devel,
     golang-github-shopspring-decimal-devel, golang-github-circonus-labs-
     circonusllhist-devel, golang-github-calmh-du-devel, golang-github-ncw-
     dropbox-sdk-unofficial-devel, golang-github-coreos-go-iptables-devel,
     golang-github-shurcool-reactions-devel, golang-github-cloudflare-
     devel, golang-github-facebookgo-atomicfile-devel, golang-github-
     gorilla-context-devel, golang-github-data-dog-txdb-devel, golang-
     github-chmduquesne-rollinghash-devel, golang-github-git-lfs-devel,
     golang-github-coreos-go-log-devel, golang-github-google-cmp-devel,
     golang-github-pquerna-cachecontrol-devel, golang-github-nicksnyder-
     i18n-devel, golang-github-azure-autorest-devel, golang-github-xlab-
     handysort-devel, golang-github-kylelemons-godebug-devel, golang-
     github-emicklei-go-restful-devel, golang-github-xanzy-ssh-agent-devel,
     golang-github-mreiferson-go-httpclient-devel, golang-github-shurcool-
     highlight-devel, golang-github-jedisct1-dnsstamps-devel, golang-
     github-shirou-gopsutil-devel, golang-github-hashicorp-go-immutable-
     radix-devel, golang-github-sevlyar-daemon-devel, golang-github-AdRoll-
     goamz-devel, golang-github-docker-libtrust-devel, golang-github-
     jessevdk-go-flags-devel, golang-github-tarm-serial-devel, golang-
     github-jawher-mow-cli-devel, golang-github-docker-spdystream-devel,
     golang-github-hashicorp-scada-client-devel, golang-github-shurcool-
     httperror-devel, golang-github-gopherjs-devel, golang-github-
     hashicorp-go-uuid-devel, golang-github-jellevandenhooff-dkim-devel,
     golang-github-kballard-go-shellquote-devel, golang-github-cpu-
     goacmedns-devel, golang-github-imdario-mergo-devel, golang-github-
     BurntSushi-xgb-devel, golang-github-bmizerany-assert-devel, golang-
     github-kolo-xmlrpc-devel, golang-github-olekukonko-ts-devel, golang-
     github-mitchellh-mapstructure-devel, golang-github-elithrar-simple-
     scrypt-devel, golang-github-prometheus-common-devel, golang-github-
     sourcegraph-syntaxhighlight-devel, golang-github-shurcool-frontend-
     devel, golang-github-shurcool-highlight-diff-devel, golang-github-
     dsnet-golib-devel, golang-github-jmhodges-levigo-devel, golang-github-
     namedotcom-devel, golang-github-delve-devel, golang-github-dimchansky-
     utfbom-devel, golang-github-markbates-inflect-devel, golang-github-
     gengo-grpc-gateway-devel, golang-github-neelance-sourcemap-devel,
     golang-github-cloudfoundry-incubator-candiedyaml-devel, golang-github-
     prometheus-client_model-devel, golang-github-vividcortex-godaemon-
     devel, golang-github-gonum-graph-devel, golang-github-neelance-
     astrewrite-devel, golang-github-BurntSushi-xgbutil-devel, golang-
     github-google-gofuzz-devel, golang-github-thorduri-libusb-devel,
     golang-github-hako-durafmt-devel, golang-github-mitchellh-
     hashstructure-devel, golang-github-hashicorp-consul-migrate-devel,
     golang-github-jfrogdev-gofrog-devel, golang-github-eapache-go-
     resiliency-devel, golang-github-calmh-xdr-devel, golang-github-
     hashicorp-raft-mdb-devel, golang-github-mitchellh-cli-devel, golang-
     github-billziss-gh-cgofuse-devel, golang-github-kdar-factorlog-devel,
     golang-github-kisielk-gotool-devel, golang-github-matryer-try-devel,
     golang-github-mattn-shellwords-devel, golang-github-shurcool-githubql-
     devel, golang-github-mattn-go-colorable-devel, golang-github-satori-
     uuid-devel, golang-github-anmitsu-shlex-devel, golang-github-Sirupsen-
     logrus-devel, golang-github-bruth-assert-devel, golang-github-src-d
     -gcfg-devel, golang-github-d2g-dhcp4client-devel, golang-github-
     Masterminds-semver-devel, golang-github-denverdino-aliyungo-devel,
     golang-github-jedisct1-minisign-devel, golang-github-rfjakob-eme-
     devel, golang-github-kr-pty-devel, golang-github-bradfitz-smtpd-devel,
     golang-github-nsf-termbox-devel, golang-github-pkg-profile-devel,
     golang-github-jmespath-go-jmespath-devel, golang-github-kevinburke-
     ssh-config-devel, golang-github-jinzhu-gorm-devel, golang-github-
     globalsign-mgo-devel, golang-github-cockroachdb-cockroach-go-devel,
     golang-github-agl-ed25519-devel, golang-github-zyedidia-tcell-devel,
     golang-github-circonus-labs-circonus-gometrics-devel, golang-github-
     shurcool-webdavfs-devel, golang-github-ncw-acd-devel, golang-github-
     microcosm-cc-bluemonday-devel, golang-github-cockroachdb-cmux-devel,
     golang-github-ianlancetaylor-demangle-devel, syncthing-devel, golang-
     github-jbenet-context-devel, golang-github-olekukonko-tablewriter-
     devel, golang-github-patrickmn-go-cache-devel, golang-github-
     jfrazelle-go-devel, golang-github-Shopify-toxiproxy-devel, golang-
     github-alcortesm-tgz-devel, golang-github-mattn-go-isatty-devel,
     golang-github-influxdb-rocksdb-devel, golang-github-influxdb-gomdb-
     devel, golang-github-golang-glog-devel, golang-github-opencontainers-
     runtime-spec-devel, golang-github-shurcool-graphql-devel, golang-
     github-mdlayher-genetlink-devel, golang-github-jtolds-gls-devel,
     golang-github-julienschmidt-httprouter-devel, golang-github-
     inconshreveable-mousetrap-devel, golang-github-buger-jsonparser-devel,
     golang-github-ovh-devel, golang-github-dgrijalva-jwt-go-devel, golang-
     github-tambet-asana-devel, golang-github-opendns-vegadns2client-devel,
     golang-github-hashicorp-logutils-devel, golang-github-kurin-blazer-
     devel, golang-github-bradfitz-http2-devel, golang-github-howeyc-
     gopass-devel, golang-github-BurntSushi-toml-devel, golang-github-
     calmh-luhn-devel, golang-github-google-uuid-devel, golang-github-
     jlaffaye-ftp-devel, golang-github-hashicorp-raft-boltdb-devel, golang-
     github-shurcool-octiconssvg-devel, golang-github-mitchellh-
     copystructure-devel, golang-github-chaseadamsio-goorgeous-devel,
     golang-github-aead-poly1305-devel, golang-github-cenkalti-backoff-
     devel, golang-github-jamesclonk-vultr-devel, golang-github-minio-
     devel, golang-github-kardianos-service-devel, golang-github-gorilla-
     handlers-devel, golang-github-hashicorp-go-syslog-devel, golang-
     github-alecthomas-repr-devel, golang-github-zyedidia-terminal-devel,
     golang-github-onsi-ginkgo-devel, golang-github-pkg-errors-devel,
     golang-github-emirpasic-gods-devel, golang-github-3rf-mongo-lint-
     devel, golang-github-zyedidia-clipboard-devel, golang-github-
     hashicorp-hil-devel, golang-github-ryanuber-columnize-devel, golang-
     github-rcrowley-go-metrics-devel, golang-github-jedisct1-clocksmith-
     devel, golang-github-shurcool-notificationsapp-devel, golang-github-
     shurcool-home-devel, golang-github-shurcool-issuesapp-devel, golang-
     github-pebbe-zmq4-devel, golang-github-coreos-go-systemd-devel,
     golang-github-gonum-matrix-devel, golang-github-gorilla-securecookie-
     devel, etcd-devel, golang-github-inconshreveable-muxado-devel, golang-
     github-googlecloudplatform-cloudsql-proxy-devel, golang-github-
     mitchellh-go-wordwrap-devel, golang-github-godbus-dbus-devel, golang-
     github-spacemonkeygo-spacelog-devel, golang-github-spf13-cobra-devel,
     golang-github-armon-go-metrics-devel, golang-github-facebookgo-
     pidfile-devel, golang-github-hashicorp-errwrap-devel, golang-github-
     bgentry-go-netrc-devel, golang-github-googleapis-gax-devel, golang-
     github-kr-text-devel, golang-github-zyedidia-glob-devel, golang-
     github-bugsnag-panicwrap-devel, golang-github-pelletier-go-toml-devel,
     golang-github-spf13-viper-devel, golang-github-asaskevich-govalidator-
     devel, golang-github-go-sql-driver-mysql-devel, golang-github-davecgh-
     go-spew-devel, golang-github-hashicorp-go-sockaddr-devel, golang-
     github-coreos-bbolt-devel, golang-github-nightlyone-lockfile-devel,
     golang-github-karlseguin-ccache-devel, golang-github-git-lfs-
     wildmatch-devel, golang-github-hawkular-hawkular-client-go-devel,
     golang-github-dropbox-sdk-unofficial-devel, golang-github-gonum-
     lapack-devel, golang-github-hashicorp-go-multierror-devel, golang-
     googlecode-goprotobuf-devel, golang-github-eapache-queue-devel,
     golang-github-spf13-pflag-devel, golang-github-tdewolff-test-devel,
     golang-github-hashicorp-serf-devel, golang-github-mholt-archiver-
     devel, golang-github-hashicorp-go-cleanhttp-devel, golang-github-
     MakeNowJust-heredoc-devel, golang-github-ghodss-yaml-devel, golang-
     github-robertkrimen-otto-devel, golang-github-magiconair-properties-
     devel, golang-github-cpuguy83-go-md2man-devel, golang-github-armon-go-
     radix-devel, golang-github-azure-storage-blob-devel, golang-github-
     influxdb-go-cache-devel, golang-github-dnaeon-vcr-devel, golang-
     github-timewasted-linode-devel, golang-github-lib-pq-devel, golang-
     github-hashicorp-go-msgpack-devel, golang-github-hashicorp-yamux-
     devel, golang-github-exoscale-egoscale-devel, golang-github-codahale-
     aesnicheck-devel, golang-github-shurcool-gofontwoff-devel, golang-
     gopkg-yaml-devel-v2, golang-github-posener-complete-devel, golang-
     github-beevik-ntp-devel, golang-github-hashicorp-go-checkpoint-devel,
     golang-github-gdamore-tcell-devel, golang-github-sourcegraph-annotate-
     devel, golang-github-gofrs-flock-devel, golang-github-google-btree-
     devel, golang-github-10gen-escaper-devel, golang-github-okzk-sdnotify-
     devel, golang-github-cznic-ql-devel, golang-github-kr-pretty-devel,
     golang-github-marstr-collection-devel, golang-github-zyedidia-poller-
     devel, golang-github-bep-debounce-devel, golang-github-10gen-openssl-
     devel, golang-github-BurntSushi-graphics-go-devel, golang-github-
     evanphx-json-patch-devel, golang-github-a8m-tree-devel, golang-github-
     gonum-blas-devel, golang-github-gorilla-mux-devel, golang-github-DATA-
     DOG-go-sqlmock-devel, golang-github-hashicorp-hcl-devel, golang-
     github-marstr-goalias-devel, golang-github-armon-go-proxyproto-devel,
     golang-github-beorn7-perks-devel, golang-github-mistifyio-go-zfs-
     devel, golang-github-coreos-gexpect-devel, golang-github-hashicorp-
     net-rpc-msgpackrpc-devel, golang-github-appc-spec-devel, golang-
     github-prometheus-client_golang-devel, golang-github-keybase-go-
     crypto-devel, golang-github-cespare-xxhash-devel, golang-github-
     briandowns-spinner-devel, golang-github-stretchr-testify-devel,
     golang-github-bitly-simplejson-devel, golang-github-mdlayher-netlink-
     devel, golang-github-armon-circbuf-devel, golang-github-peterh-liner-
     devel, golang-github-shurcool-users-devel, golang-github-chzyer-test-
     devel, golang-github-cosmos72-gomacro-devel, golang-github-tg-
     gosortmap-devel, golang-github-tdewolff-minify-devel, dep-devel,
     golang-github-ulikunitz-xz-devel, golang-github-coreos-go-etcd-devel,
     golang-github-ema-qdisc-devel, golang-github-gorilla-sessions-devel,
     golang-github-pascaldekloe-goe-devel, golang-github-google-go-
     querystring-devel, golang-github-yunify-qingstor-sdk-devel, golang-
     github-digitalocean-godo-devel, golang-github-russross-
     blackfriday-v2-devel, golang-github-codegangsta-cli-devel, golang-
     github-hashicorp-version-devel, golang-github-git-time-metric-gtm-
     devel, golang-github-mitchellh-go-homedir-devel, golang-github-
     denisenkom-go-mssqldb-devel, golang-github-pmezard-go-difflib-devel,
     golang-github-mock-devel, golang-github-hashicorp-go-retryablehttp-
     devel, golang-github-onsi-gomega-devel, golang-github-shurcool-
     httpgzip-devel, golang-github-golang-groupcache-devel, golang-github-
     sdboyer-constext-devel, golang-github-alecthomas-units-devel, golang-
     github-mattn-go-sqlite3-devel, golang-github-openzipkin-zipkin-devel,
     golang-github-libgit2-git2go-devel, golang-github-hashicorp-golang-
     lru-devel, golang-github-shurcool-flavored-markdown-devel, golang-
     github-blang-semver-devel, golang-github-aclements-moremath-devel,
     golang-github-d2g-dhcp4-devel, golang-github-jinzhu-now-devel, golang-
     github-data-dog-godog-devel, golang-github-docker-go-units-devel,
     golang-github-thomsonreuterseikon-ntlm-devel, golang-github-google-
     pprof-devel, golang-github-tdewolff-parse-devel, golang-github-kimor79
     -gollectd-devel, golang-github-sanity-io-litter-devel, golang-github-
     xtaci-smux-devel, golang-github-ajstarks-svgo-devel, golang-github-
     docker-go-connections-devel, golang-github-mxk-go-flowrate-devel,
     golang-github-urfave-cli-devel, golang-github-shurcool-htmlg-devel,
     golang-github-disintegration-imaging-devel, golang-github-Azure-azure-
     sdk-for-go-devel, golang-github-dgnorton-goback-devel, golang-github-
     fatih-set-devel, golang-github-jedisct1-xsecretbox-devel, golang-
     github-alecthomas-template-devel, golang-github-hashicorp-go-memdb-
     devel, golang-github-burntsushi-locker-devel, golang-github-shurcool-
     events-devel, golang-github-elazarl-go-bindata-assetfs-devel, golang-
     github-jonboulle-clockwork-devel, golang-github-russross-blackfriday-
     devel, golang-github-klauspost-compress-devel, golang-github-
     hashicorp-raft-devel, golang-github-alecthomas-colour-devel, golang-
     github-azure-pipeline-devel, golang-github-git-lfs-gitobj-devel,
     golang-github-flynn-json5-devel, golang-github-dchest-safefile-devel,
     golang-github-google-go-github-devel, golang-github-getsentry-raven-
     go-devel, golang-github-hashicorp-mdns-devel, golang-github-aclements-
     gg-devel, golang-github-vbatts-tar-split-devel, golang-github-
     spacemonkeygo-flagfile-devel, golang-github-marstr-guid-devel, golang-
     github-shurcool-notifications-devel, golang-github-google-go-cmp-
     devel, golang-github-dsnet-compress-devel, golang-github-klauspost-
     crc32-devel, golang-github-kr-fs-devel, golang-github-grpc-ecosystem-
     grpc-gateway-devel, golang-github-abbot-go-http-auth-devel, golang-
     github-lsegal-gucumber-devel, golang-github-k-sone-critbitgo-devel,
     golang-github-daviddengcn-go-colortext-devel, golang-github-unknwon-
     goconfig-devel, golang-github-Masterminds-vcs-devel, golang-github-
     cosiner-argv-devel, golang-github-djherbis-times-devel, golang-github-
     gogo-protobuf-devel, golang-github-restic-chunker-devel, golang-
     github-bgentry-speakeasy-devel, golang-github-go-ini-ini-devel,
     golang-github-xtaci-kcp-go-devel, golang-github-chrismalek-oktasdk-go-
     devel, golang-github-boltdb-bolt-devel, mongo-tools-devel, golang-
     github-pkg-sftp-devel, golang-github-shurcool-goon-devel, golang-
     github-go-tomb-tomb-devel-v2, golang-github-bkaradzic-go-lz4-devel,
     golang-github-syncthing-notify-devel, golang, golang-github-shurcool-
     devel, golang-github-linode-linodego-devel, golang-github-juju-
     ratelimit-devel, golang-github-jedisct1-dlog-devel, golang-github-
     willf-bitset-devel, golang-github-gonum-floats-devel, golang-github-
     t3rm1n4l-go-mega-devel, golang-github-shurcool-component-devel,
     golang-github-racker-perigee-devel, golang-github-transip-gotransip-
     devel, golang-github-boombuler-barcode-devel, golang-github-shurcool-
     markdownfmt-devel, golang-github-smartystreets-assertions-devel,
     golang-github-soundcloud-runit-devel, golang-github-alecthomas-assert-
     devel, golang-github-matttproud-golang_protobuf_extensions-devel,
     golang-github-goftp-server-devel, golang-github-bep-tocss-devel,
     golang-github-jmank88-nuts-devel, golang-github-miekg-dns-devel,
     golang-github-spf13-cast-devel, godoctor-golang-github-godoctor-devel,
     golang-github-bmizerany-pat-devel, golang-github-jacobsa-oglematchers-
     devel, golang-github-samalba-dockerclient-devel, golang-github-armon-
     gomdb-devel, golang-github-coreos-go-semver-devel)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-anacrolix-tagflag-devel-0-0.1.20190303git3a8ff54.fc31.noarch.rpm
          golang-github-anacrolix-tagflag-0-0.1.20190303git3a8ff54.fc31.src.rpm
golang-github-anacrolix-tagflag-devel.noarch: W: spelling-error Summary(en_US) struct -> strict, strut, struck
golang-github-anacrolix-tagflag-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/anacrolix/tagflag/.goipath
golang-github-anacrolix-tagflag.src: W: spelling-error Summary(en_US) struct -> strict, strut, struck
golang-github-anacrolix-tagflag.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
golang-github-anacrolix-tagflag-devel.noarch: W: spelling-error Summary(en_US) struct -> strict, strut, struck
golang-github-anacrolix-tagflag-devel.noarch: W: invalid-url URL: https://github.com/anacrolix/tagflag <urlopen error [Errno -2] Name or service not known>
golang-github-anacrolix-tagflag-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/anacrolix/tagflag/.goipath
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
golang-github-anacrolix-tagflag-devel (rpmlib, GLIBC filtered):
    golang(github.com/anacrolix/missinggo)
    golang(github.com/anacrolix/missinggo/slices)
    golang(github.com/bradfitz/iter)
    golang(github.com/dustin/go-humanize)
    golang(github.com/huandu/xstrings)
    golang(github.com/pkg/errors)



Provides
--------
golang-github-anacrolix-tagflag-devel:
    golang(github.com/anacrolix/tagflag)
    golang(github.com/anacrolix/tagflag)(commit=3a8ff5428f76247838c2d79f1b4fde71b7f6184c)
    golang-github-anacrolix-tagflag-devel
    golang-ipath(github.com/anacrolix/tagflag)
    golang-ipath(github.com/anacrolix/tagflag)(commit=3a8ff5428f76247838c2d79f1b4fde71b7f6184c)



Source checksums
----------------
https://github.com/anacrolix/tagflag/archive/3a8ff5428f76247838c2d79f1b4fde71b7f6184c/tagflag-3a8ff5428f76247838c2d79f1b4fde71b7f6184c.tar.gz :
  CHECKSUM(SHA256) this package     : 5e6749cac9fd35c90930eaacec9627e028a854da2d28c3a7ff241ea9d1a9c19d
  CHECKSUM(SHA256) upstream package : 5e6749cac9fd35c90930eaacec9627e028a854da2d28c3a7ff241ea9d1a9c19d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1684948 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Jerry James 2019-03-15 03:10:30 UTC
This package is APPROVED.

Comment 5 Gwyn Ciesla 2019-03-25 13:14:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-anacrolix-tagflag

Comment 6 Fedora Update System 2019-03-26 02:53:05 UTC
golang-github-anacrolix-tagflag-0-0.1.20190326git3a8ff54.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-24d1d23b20

Comment 7 Fedora Update System 2019-03-26 03:17:48 UTC
golang-github-anacrolix-tagflag-0-0.1.20190326git3a8ff54.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d0d4354d67

Comment 8 Fedora Update System 2019-03-26 20:45:15 UTC
golang-github-anacrolix-tagflag-1.0.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-496a58aff2

Comment 9 Fedora Update System 2019-03-26 21:03:46 UTC
golang-github-anacrolix-tagflag-1.0.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-398d83abeb

Comment 10 Fedora Update System 2019-03-27 00:45:46 UTC
golang-github-anacrolix-tagflag-1.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-496a58aff2

Comment 11 Fedora Update System 2019-03-27 04:35:00 UTC
golang-github-anacrolix-tagflag-1.0.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-398d83abeb

Comment 12 Fedora Update System 2019-04-04 00:01:21 UTC
golang-github-anacrolix-tagflag-1.0.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-13 06:33:19 UTC
golang-github-anacrolix-tagflag-1.0.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-13 15:31:53 UTC
golang-github-anacrolix-tagflag-1.0.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.